import request from '@/assets/js/utils/request'
/*
* 财务状况管理API接口
* */

//  财务状况列表
export function listFinancialSituationPages(data) {
  return request({
    url: '/bidprocurement/common-supplier/supplier/financialSituation/listFinancialSituationPages',
    method: 'post',
    data
  })
}
//  财务状况列表审核通过
export function listFinancialSituationAuditPages(data) {
  return request({
    url: '/bidprocurement/common-supplier/supplier/financialSituation/listFinancialSituationAuditPages',
    method: 'post',
    data
  })
}
//  财务状况字典
export function getFinancialSituationDictionaries() {
  return request({
    url: '/bidprocurement/common-supplier/supplier/financialSituation/getFinancialSituationDictionaries',
    method: 'post'
  })
}
//  保存财务状况
export function saveFinancialSituationInfo(data) {
  return request({
    url: '/bidprocurement/common-supplier/supplier/financialSituation/saveFinancialSituationInfo',
    method: 'post',
    data
  })
}
//  编辑查询财务状况
export function queryFinancialSituationInfo(data) {
  return request({
    url: '/bidprocurement/common-supplier/supplier/financialSituation/queryFinancialSituationInfo',
    method: 'post',
    data
  })
}
//  删除财务状况
export function removeFinancialSituation(data) {
  return request({
    url: '/bidprocurement/common-supplier/supplier/financialSituation/removeFinancialSituation',
    method: 'post',
    data
  })
}
